Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Attributes | List of all members
RoomDescriptor Class Reference

## Public Attributes
integer | GridIndex
| index in the level grid (always top left) More...
integer | SafeGridIndex
| index in the level grid (not always top left, but is guaranteed to point to the room. this is important for LTL shapes!) More...
integer | ListIndex
| index in the room list More...
Room & | Data
Room & | OverrideData
DoorSet | AllowedDoors
| Contains just on load swapped data (in cases like minibosses, or other such events) More...
integer | DisplayFlags
| what is visible on minimap More...
integer | VisitedCount
| how often the room has been visited More...
boolean | Clear
integer | ClearCount
boolean | PressurePlatesTriggered
boolean | SacrificeDone
boolean | ChallengeDone
boolean | SurpriseMiniboss
boolean | HasWater
boolean | NoReward
integer | PoopCount
| bool HasWater; More...
integer | PitsCount
integer | DecorationSeed
integer | SpawnSeed
| used to spawn entities at room load and initialize enemy drop seeds More...
integer | AwardSeed
| used to spawn clear awards (normal, miniboss, boss rooms) and initialize shop items (shop, devil rooms) More...
integer | ShopItemIdx
integer | ShopItemDiscountIdx
integer | DeliriumDistance
| Helper for The Void stage, holds the distance to the Delirium boss in room nr. More...

## Member Data Documentation

## ◆ AllowedDoors

DoorSet RoomDescriptor::AllowedDoors

Contains just on load swapped data (in cases like minibosses, or other such events)

## ◆ AwardSeed

integer RoomDescriptor::AwardSeed

used to spawn clear awards (normal, miniboss, boss rooms) and initialize shop items (shop, devil rooms)

## ◆ ChallengeDone

boolean RoomDescriptor::ChallengeDone

## ◆ Clear

boolean RoomDescriptor::Clear

## ◆ ClearCount

integer RoomDescriptor::ClearCount

room is clear, don't spawn enemies when visiting bool Clear;

## ◆ Data

Room& RoomDescriptor::Data

## ◆ DecorationSeed

integer RoomDescriptor::DecorationSeed

bool AltBossMusic; used for cosmetic stuff like backdrops, room decorations, shopkeeper skins

## ◆ DeliriumDistance

integer RoomDescriptor::DeliriumDistance

Helper for The Void stage, holds the distance to the Delirium boss in room nr.

## ◆ DisplayFlags

integer RoomDescriptor::DisplayFlags

what is visible on minimap

## ◆ GridIndex

integer RoomDescriptor::GridIndex

index in the level grid (always top left)

## ◆ HasWater

boolean RoomDescriptor::HasWater

## ◆ ListIndex

integer RoomDescriptor::ListIndex

index in the room list

## ◆ NoReward

boolean RoomDescriptor::NoReward

## ◆ OverrideData

Room& RoomDescriptor::OverrideData

Tim's reminder to himself: The room variant is in Data. Because Room::Init uses a mix of datas, one from level layout and one from replacement data like minibosses, we need to hold the new room data somewhere.

## ◆ PitsCount

integer RoomDescriptor::PitsCount

## ◆ PoopCount

integer RoomDescriptor::PoopCount

bool HasWater;

## ◆ PressurePlatesTriggered

boolean RoomDescriptor::PressurePlatesTriggered

## ◆ SacrificeDone

boolean RoomDescriptor::SacrificeDone

## ◆ SafeGridIndex

integer RoomDescriptor::SafeGridIndex

index in the level grid (not always top left, but is guaranteed to point to the room. this is important for LTL shapes!)

## ◆ ShopItemDiscountIdx

integer RoomDescriptor::ShopItemDiscountIdx

## ◆ ShopItemIdx

integer RoomDescriptor::ShopItemIdx

## ◆ SpawnSeed

integer RoomDescriptor::SpawnSeed

used to spawn entities at room load and initialize enemy drop seeds

## ◆ SurpriseMiniboss

boolean RoomDescriptor::SurpriseMiniboss

## ◆ VisitedCount

integer RoomDescriptor::VisitedCount

how often the room has been visited